{
 "cells": [
  {
   "cell_type": "code",
   "execution_count": 13,
   "id": "bc077a0d-3cac-4f63-8b00-fa6d878fe2a7",
   "metadata": {
    "editable": true,
    "slideshow": {
     "slide_type": ""
    },
    "tags": [
     "remove-cell"
    ]
   },
   "outputs": [],
   "source": [
    "from vega import Vega\n",
    "import altair as alt\n",
    "import numpy as np\n",
    "\n",
    "import pandas as pd\n",
    "institutions_df = pd.read_csv(\"institution-totals.csv\")\n",
    "\n",
    "dcms_institutions_df = institutions_df.query('sector == \"dcms\"')"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "da9d64f3-2654-48e4-b31d-f42f260f535c",
   "metadata": {
    "editable": true,
    "slideshow": {
     "slide_type": ""
    },
    "tags": []
   },
   "source": [
    "# DCMS Institutions\n",
    "\n",
    "Work in progress diagrams to allow for quick comparision between institutions in a sector.\n",
    "\n",
    "(There are those people who think using a donut chart for data visualisation is always a bad idea, they are probably right.)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 14,
   "id": "eb26e498-3320-4d0d-b76a-083d47f66391",
   "metadata": {
    "editable": true,
    "slideshow": {
     "slide_type": ""
    },
    "tags": [
     "remove-input",
     "full-width"
    ]
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "\n",
       "<style>\n",
       "  #altair-viz-7b6641e6ba794ff89a5751ed5514134c.vega-embed {\n",
       "    width: 100%;\n",
       "    display: flex;\n",
       "  }\n",
       "\n",
       "  #altair-viz-7b6641e6ba794ff89a5751ed5514134c.vega-embed details,\n",
       "  #altair-viz-7b6641e6ba794ff89a5751ed5514134c.vega-embed details summary {\n",
       "    position: relative;\n",
       "  }\n",
       "</style>\n",
       "<div id=\"altair-viz-7b6641e6ba794ff89a5751ed5514134c\"></div>\n",
       "<script type=\"text/javascript\">\n",
       "  var VEGA_DEBUG = (typeof VEGA_DEBUG == \"undefined\") ? {} : VEGA_DEBUG;\n",
       "  (function(spec, embedOpt){\n",
       "    let outputDiv = document.currentScript.previousElementSibling;\n",
       "    if (outputDiv.id !== \"altair-viz-7b6641e6ba794ff89a5751ed5514134c\") {\n",
       "      outputDiv = document.getElementById(\"altair-viz-7b6641e6ba794ff89a5751ed5514134c\");\n",
       "    }\n",
       "    const paths = {\n",
       "      \"vega\": \"https://cdn.jsdelivr.net/npm/vega@5?noext\",\n",
       "      \"vega-lib\": \"https://cdn.jsdelivr.net/npm/vega-lib?noext\",\n",
       "      \"vega-lite\": \"https://cdn.jsdelivr.net/npm/vega-lite@5.17.0?noext\",\n",
       "      \"vega-embed\": \"https://cdn.jsdelivr.net/npm/vega-embed@6?noext\",\n",
       "    };\n",
       "\n",
       "    function maybeLoadScript(lib, version) {\n",
       "      var key = `${lib.replace(\"-\", \"\")}_version`;\n",
       "      return (VEGA_DEBUG[key] == version) ?\n",
       "        Promise.resolve(paths[lib]) :\n",
       "        new Promise(function(resolve, reject) {\n",
       "          var s = document.createElement('script');\n",
       "          document.getElementsByTagName(\"head\")[0].appendChild(s);\n",
       "          s.async = true;\n",
       "          s.onload = () => {\n",
       "            VEGA_DEBUG[key] = version;\n",
       "            return resolve(paths[lib]);\n",
       "          };\n",
       "          s.onerror = () => reject(`Error loading script: ${paths[lib]}`);\n",
       "          s.src = paths[lib];\n",
       "        });\n",
       "    }\n",
       "\n",
       "    function showError(err) {\n",
       "      outputDiv.innerHTML = `<div class=\"error\" style=\"color:red;\">${err}</div>`;\n",
       "      throw err;\n",
       "    }\n",
       "\n",
       "    function displayChart(vegaEmbed) {\n",
       "      vegaEmbed(outputDiv, spec, embedOpt)\n",
       "        .catch(err => showError(`Javascript Error: ${err.message}<br>This usually means there's a typo in your chart specification. See the javascript console for the full traceback.`));\n",
       "    }\n",
       "\n",
       "    if(typeof define === \"function\" && define.amd) {\n",
       "      requirejs.config({paths});\n",
       "      require([\"vega-embed\"], displayChart, err => showError(`Error loading script: ${err.message}`));\n",
       "    } else {\n",
       "      maybeLoadScript(\"vega\", \"5\")\n",
       "        .then(() => maybeLoadScript(\"vega-lite\", \"5.17.0\"))\n",
       "        .then(() => maybeLoadScript(\"vega-embed\", \"6\"))\n",
       "        .catch(showError)\n",
       "        .then(() => displayChart(vegaEmbed));\n",
       "    }\n",
       "  })({\"config\": {\"view\": {\"continuousWidth\": 300, \"continuousHeight\": 300}, \"numberFormat\": \".2s\"}, \"vconcat\": [{\"hconcat\": [{\"vconcat\": [{\"layer\": [{\"mark\": {\"type\": \"arc\", \"cornerRadius\": 5, \"innerRadius\": 45, \"outerRadius\": 60, \"stroke\": \"#fff\"}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"British Museum\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"text\", \"radiusOffset\": 58}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"text\": {\"condition\": {\"test\": {\"field\": \"values\", \"gt\": 0}, \"field\": \"values\", \"type\": \"quantitative\"}, \"value\": \"\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"British Museum\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"gold\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 0.5025, \"tooltip\": \"Catalogued Artefacts: 2000000\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0.5225, \"theta2\": 2.07, \"tooltip\": \"Total Artefacts: 8000000\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"gold\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 2.5925, \"tooltip\": \"Catalogued Objects: 2000000\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#fd8d3c\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.6125, \"theta2\": 4.16, \"tooltip\": \"Total Objects: 8000000\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 6.27, \"tooltip\": \"Total Library Items: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 4.18}}], \"data\": {\"name\": \"data-431dbe4c8e24e7fe904e92607a9e4416\"}, \"height\": 200, \"width\": 200}, {\"data\": {\"name\": \"data-0e144997d27391050ac5fe9c734b3148\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"color\": {\"condition\": {\"test\": {\"field\": \"institution\", \"oneOf\": [\"British Museum\"]}, \"value\": \"gold\"}, \"value\": \"white\"}, \"tooltip\": {\"field\": \"artefacts\", \"type\": \"quantitative\"}, \"x\": {\"field\": \"artefacts\", \"title\": \"Proportion of National Collection\", \"type\": \"quantitative\"}}, \"height\": 20, \"width\": 200}], \"resolve\": {\"scale\": {\"theta\": \"independent\"}}}, {\"vconcat\": [{\"layer\": [{\"mark\": {\"type\": \"arc\", \"cornerRadius\": 5, \"innerRadius\": 45, \"outerRadius\": 60, \"stroke\": \"#fff\"}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Horniman Museum\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"text\", \"radiusOffset\": 58}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"text\": {\"condition\": {\"test\": {\"field\": \"values\", \"gt\": 0}, \"field\": \"values\", \"type\": \"quantitative\"}, \"value\": \"\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Horniman Museum\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"gold\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 0.7718830857142855, \"tooltip\": \"Catalogued Artefacts: 132612\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0.7918830857142856, \"theta2\": 2.07, \"tooltip\": \"Total Artefacts: 350000\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 2.09}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 4.16, \"tooltip\": \"Total Objects: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 6.27, \"tooltip\": \"Total Library Items: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 4.18}}], \"data\": {\"name\": \"data-dd88595532b7826331d261e7cad31628\"}, \"height\": 200, \"width\": 200}, {\"data\": {\"name\": \"data-0e144997d27391050ac5fe9c734b3148\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"color\": {\"condition\": {\"test\": {\"field\": \"institution\", \"oneOf\": [\"Horniman Museum\"]}, \"value\": \"gold\"}, \"value\": \"white\"}, \"tooltip\": {\"field\": \"artefacts\", \"type\": \"quantitative\"}, \"x\": {\"field\": \"artefacts\", \"title\": \"Proportion of National Collection\", \"type\": \"quantitative\"}}, \"height\": 20, \"width\": 200}], \"resolve\": {\"scale\": {\"theta\": \"independent\"}}}, {\"vconcat\": [{\"layer\": [{\"mark\": {\"type\": \"arc\", \"cornerRadius\": 5, \"innerRadius\": 45, \"outerRadius\": 60, \"stroke\": \"#fff\"}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Imperial War Museums\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"text\", \"radiusOffset\": 58}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"text\": {\"condition\": {\"test\": {\"field\": \"values\", \"gt\": 0}, \"field\": \"values\", \"type\": \"quantitative\"}, \"value\": \"\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Imperial War Museums\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"gold\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 2.07, \"tooltip\": \"Catalogued Artefacts: 1737698\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0.7918830857142856, \"theta2\": 2.07, \"tooltip\": \"Total Artefacts: 350000\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 2.09}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 4.16, \"tooltip\": \"Total Objects: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 6.27, \"tooltip\": \"Total Library Items: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 4.18}}], \"data\": {\"name\": \"data-ebc8889e0cddbc3b95b9d5ae92c98fe2\"}, \"height\": 200, \"width\": 200}, {\"data\": {\"name\": \"data-0e144997d27391050ac5fe9c734b3148\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"color\": {\"condition\": {\"test\": {\"field\": \"institution\", \"oneOf\": [\"Imperial War Museums\"]}, \"value\": \"gold\"}, \"value\": \"white\"}, \"tooltip\": {\"field\": \"artefacts\", \"type\": \"quantitative\"}, \"x\": {\"field\": \"artefacts\", \"title\": \"Proportion of National Collection\", \"type\": \"quantitative\"}}, \"height\": 20, \"width\": 200}], \"resolve\": {\"scale\": {\"theta\": \"independent\"}}}, {\"vconcat\": [{\"layer\": [{\"mark\": {\"type\": \"arc\", \"cornerRadius\": 5, \"innerRadius\": 45, \"outerRadius\": 60, \"stroke\": \"#fff\"}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Museum of the Home\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"text\", \"radiusOffset\": 58}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"text\": {\"condition\": {\"test\": {\"field\": \"values\", \"gt\": 0}, \"field\": \"values\", \"type\": \"quantitative\"}, \"value\": \"\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Museum of the Home\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 0}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 2.07, \"tooltip\": \"Total Artefacts: 40000\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 2.09}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 4.16, \"tooltip\": \"Total Objects: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 6.27, \"tooltip\": \"Total Library Items: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 4.18}}], \"data\": {\"name\": \"data-4aa725c5ec5d9ddd07569e0804adf706\"}, \"height\": 200, \"width\": 200}, {\"data\": {\"name\": \"data-0e144997d27391050ac5fe9c734b3148\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"color\": {\"condition\": {\"test\": {\"field\": \"institution\", \"oneOf\": [\"Museum of the Home\"]}, \"value\": \"gold\"}, \"value\": \"white\"}, \"tooltip\": {\"field\": \"artefacts\", \"type\": \"quantitative\"}, \"x\": {\"field\": \"artefacts\", \"title\": \"Proportion of National Collection\", \"type\": \"quantitative\"}}, \"height\": 20, \"width\": 200}], \"resolve\": {\"scale\": {\"theta\": \"independent\"}}}], \"resolve\": {\"scale\": {\"theta\": \"shared\"}}, \"spacing\": 40}, {\"hconcat\": [{\"vconcat\": [{\"layer\": [{\"mark\": {\"type\": \"arc\", \"cornerRadius\": 5, \"innerRadius\": 45, \"outerRadius\": 60, \"stroke\": \"#fff\"}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"National Gallery\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"text\", \"radiusOffset\": 58}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"text\": {\"condition\": {\"test\": {\"field\": \"values\", \"gt\": 0}, \"field\": \"values\", \"type\": \"quantitative\"}, \"value\": \"\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"National Gallery\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"gold\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 2.07, \"tooltip\": \"Catalogued Artefacts: 2626\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 2.07, \"tooltip\": \"Total Artefacts: 40000\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"gold\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 4.16, \"tooltip\": \"Catalogued Objects: 2626\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 4.16, \"tooltip\": \"Total Objects: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 6.27, \"tooltip\": \"Total Library Items: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 4.18}}], \"data\": {\"name\": \"data-9d42ef6b123775e1a6a41c6e9812ea82\"}, \"height\": 200, \"width\": 200}, {\"data\": {\"name\": \"data-0e144997d27391050ac5fe9c734b3148\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"color\": {\"condition\": {\"test\": {\"field\": \"institution\", \"oneOf\": [\"National Gallery\"]}, \"value\": \"gold\"}, \"value\": \"white\"}, \"tooltip\": {\"field\": \"artefacts\", \"type\": \"quantitative\"}, \"x\": {\"field\": \"artefacts\", \"title\": \"Proportion of National Collection\", \"type\": \"quantitative\"}}, \"height\": 20, \"width\": 200}], \"resolve\": {\"scale\": {\"theta\": \"independent\"}}}, {\"vconcat\": [{\"layer\": [{\"mark\": {\"type\": \"arc\", \"cornerRadius\": 5, \"innerRadius\": 45, \"outerRadius\": 60, \"stroke\": \"#fff\"}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"National Museums Liverpool\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"text\", \"radiusOffset\": 58}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"text\": {\"condition\": {\"test\": {\"field\": \"values\", \"gt\": 0}, \"field\": \"values\", \"type\": \"quantitative\"}, \"value\": \"\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"National Museums Liverpool\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"gold\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 0.018498844999999996, \"tooltip\": \"Catalogued Artefacts: 73682\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0.038498845, \"theta2\": 2.07, \"tooltip\": \"Total Artefacts: 4000000\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 2.09}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 4.16, \"tooltip\": \"Total Objects: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 6.27, \"tooltip\": \"Total Library Items: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 4.18}}], \"data\": {\"name\": \"data-4e1558b0e3f80878f7ebabc7d8605273\"}, \"height\": 200, \"width\": 200}, {\"data\": {\"name\": \"data-0e144997d27391050ac5fe9c734b3148\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"color\": {\"condition\": {\"test\": {\"field\": \"institution\", \"oneOf\": [\"National Museums Liverpool\"]}, \"value\": \"gold\"}, \"value\": \"white\"}, \"tooltip\": {\"field\": \"artefacts\", \"type\": \"quantitative\"}, \"x\": {\"field\": \"artefacts\", \"title\": \"Proportion of National Collection\", \"type\": \"quantitative\"}}, \"height\": 20, \"width\": 200}], \"resolve\": {\"scale\": {\"theta\": \"independent\"}}}, {\"vconcat\": [{\"layer\": [{\"mark\": {\"type\": \"arc\", \"cornerRadius\": 5, \"innerRadius\": 45, \"outerRadius\": 60, \"stroke\": \"#fff\"}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"National Portrait Gallery\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"text\", \"radiusOffset\": 58}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"text\": {\"condition\": {\"test\": {\"field\": \"values\", \"gt\": 0}, \"field\": \"values\", \"type\": \"quantitative\"}, \"value\": \"\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"National Portrait Gallery\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"gold\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 1.2937142857142856, \"tooltip\": \"Catalogued Artefacts: 220000\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 1.3137142857142856, \"theta2\": 2.07, \"tooltip\": \"Total Artefacts: 350000\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 2.09}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 4.16, \"tooltip\": \"Total Objects: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 6.27, \"tooltip\": \"Total Library Items: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 4.18}}], \"data\": {\"name\": \"data-2a676d1089ad310f95a497177ec4b8cf\"}, \"height\": 200, \"width\": 200}, {\"data\": {\"name\": \"data-0e144997d27391050ac5fe9c734b3148\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"color\": {\"condition\": {\"test\": {\"field\": \"institution\", \"oneOf\": [\"National Portrait Gallery\"]}, \"value\": \"gold\"}, \"value\": \"white\"}, \"tooltip\": {\"field\": \"artefacts\", \"type\": \"quantitative\"}, \"x\": {\"field\": \"artefacts\", \"title\": \"Proportion of National Collection\", \"type\": \"quantitative\"}}, \"height\": 20, \"width\": 200}], \"resolve\": {\"scale\": {\"theta\": \"independent\"}}}, {\"vconcat\": [{\"layer\": [{\"mark\": {\"type\": \"arc\", \"cornerRadius\": 5, \"innerRadius\": 45, \"outerRadius\": 60, \"stroke\": \"#fff\"}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Natural History Museum\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"text\", \"radiusOffset\": 58}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"text\": {\"condition\": {\"test\": {\"field\": \"values\", \"gt\": 0}, \"field\": \"values\", \"type\": \"quantitative\"}, \"value\": \"\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Natural History Museum\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 0}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 2.07, \"tooltip\": \"Total Artefacts: 80000000\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 2.09}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 4.16, \"tooltip\": \"Total Objects: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 6.27, \"tooltip\": \"Total Library Items: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 4.18}}], \"data\": {\"name\": \"data-f9d5ec7cc89fa38a4c5d5878a2d1221b\"}, \"height\": 200, \"width\": 200}, {\"data\": {\"name\": \"data-0e144997d27391050ac5fe9c734b3148\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"color\": {\"condition\": {\"test\": {\"field\": \"institution\", \"oneOf\": [\"Natural History Museum\"]}, \"value\": \"gold\"}, \"value\": \"white\"}, \"tooltip\": {\"field\": \"artefacts\", \"type\": \"quantitative\"}, \"x\": {\"field\": \"artefacts\", \"title\": \"Proportion of National Collection\", \"type\": \"quantitative\"}}, \"height\": 20, \"width\": 200}], \"resolve\": {\"scale\": {\"theta\": \"independent\"}}}], \"resolve\": {\"scale\": {\"theta\": \"shared\"}}, \"spacing\": 40}, {\"hconcat\": [{\"vconcat\": [{\"layer\": [{\"mark\": {\"type\": \"arc\", \"cornerRadius\": 5, \"innerRadius\": 45, \"outerRadius\": 60, \"stroke\": \"#fff\"}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Royal Armouries\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"text\", \"radiusOffset\": 58}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"text\": {\"condition\": {\"test\": {\"field\": \"values\", \"gt\": 0}, \"field\": \"values\", \"type\": \"quantitative\"}, \"value\": \"\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Royal Armouries\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"gold\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 2.07, \"tooltip\": \"Catalogued Artefacts: 265376\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 2.07, \"tooltip\": \"Total Artefacts: 80000000\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 2.09}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 4.16, \"tooltip\": \"Total Objects: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 6.27, \"tooltip\": \"Total Library Items: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 4.18}}], \"data\": {\"name\": \"data-b8e0c9677684757d0fbd64b6fd59b4de\"}, \"height\": 200, \"width\": 200}, {\"data\": {\"name\": \"data-0e144997d27391050ac5fe9c734b3148\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"color\": {\"condition\": {\"test\": {\"field\": \"institution\", \"oneOf\": [\"Royal Armouries\"]}, \"value\": \"gold\"}, \"value\": \"white\"}, \"tooltip\": {\"field\": \"artefacts\", \"type\": \"quantitative\"}, \"x\": {\"field\": \"artefacts\", \"title\": \"Proportion of National Collection\", \"type\": \"quantitative\"}}, \"height\": 20, \"width\": 200}], \"resolve\": {\"scale\": {\"theta\": \"independent\"}}}, {\"vconcat\": [{\"layer\": [{\"mark\": {\"type\": \"arc\", \"cornerRadius\": 5, \"innerRadius\": 45, \"outerRadius\": 60, \"stroke\": \"#fff\"}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Royal Museums Greenwich\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"text\", \"radiusOffset\": 58}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"text\": {\"condition\": {\"test\": {\"field\": \"values\", \"gt\": 0}, \"field\": \"values\", \"type\": \"quantitative\"}, \"value\": \"\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Royal Museums Greenwich\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 0}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 2.07, \"tooltip\": \"Total Artefacts: 3000000\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 2.09}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 4.16, \"tooltip\": \"Total Objects: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 6.27, \"tooltip\": \"Total Library Items: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 4.18}}], \"data\": {\"name\": \"data-e62f9aeab54e1d32849700c119fba787\"}, \"height\": 200, \"width\": 200}, {\"data\": {\"name\": \"data-0e144997d27391050ac5fe9c734b3148\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"color\": {\"condition\": {\"test\": {\"field\": \"institution\", \"oneOf\": [\"Royal Museums Greenwich\"]}, \"value\": \"gold\"}, \"value\": \"white\"}, \"tooltip\": {\"field\": \"artefacts\", \"type\": \"quantitative\"}, \"x\": {\"field\": \"artefacts\", \"title\": \"Proportion of National Collection\", \"type\": \"quantitative\"}}, \"height\": 20, \"width\": 200}], \"resolve\": {\"scale\": {\"theta\": \"independent\"}}}, {\"vconcat\": [{\"layer\": [{\"mark\": {\"type\": \"arc\", \"cornerRadius\": 5, \"innerRadius\": 45, \"outerRadius\": 60, \"stroke\": \"#fff\"}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Science Museum Group\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"text\", \"radiusOffset\": 58}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"text\": {\"condition\": {\"test\": {\"field\": \"values\", \"gt\": 0}, \"field\": \"values\", \"type\": \"quantitative\"}, \"value\": \"\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Science Museum Group\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 0}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 2.07, \"tooltip\": \"Total Artefacts: 7360793\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 2.09}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 4.16, \"tooltip\": \"Total Objects: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 6.27, \"tooltip\": \"Total Library Items: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 4.18}}], \"data\": {\"name\": \"data-9a30f9b11e2e857ea9abd224ae6ece5c\"}, \"height\": 200, \"width\": 200}, {\"data\": {\"name\": \"data-0e144997d27391050ac5fe9c734b3148\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"color\": {\"condition\": {\"test\": {\"field\": \"institution\", \"oneOf\": [\"Science Museum Group\"]}, \"value\": \"gold\"}, \"value\": \"white\"}, \"tooltip\": {\"field\": \"artefacts\", \"type\": \"quantitative\"}, \"x\": {\"field\": \"artefacts\", \"title\": \"Proportion of National Collection\", \"type\": \"quantitative\"}}, \"height\": 20, \"width\": 200}], \"resolve\": {\"scale\": {\"theta\": \"independent\"}}}, {\"vconcat\": [{\"layer\": [{\"mark\": {\"type\": \"arc\", \"cornerRadius\": 5, \"innerRadius\": 45, \"outerRadius\": 60, \"stroke\": \"#fff\"}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Sir John Soane's Museum\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"text\", \"radiusOffset\": 58}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"text\": {\"condition\": {\"test\": {\"field\": \"values\", \"gt\": 0}, \"field\": \"values\", \"type\": \"quantitative\"}, \"value\": \"\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Sir John Soane's Museum\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"gold\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 2.07, \"tooltip\": \"Catalogued Artefacts: 63557\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 2.07, \"tooltip\": \"Total Artefacts: 7360793\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 2.09}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 4.16, \"tooltip\": \"Total Objects: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 6.27, \"tooltip\": \"Total Library Items: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 4.18}}], \"data\": {\"name\": \"data-117a27d0df38be605bca86ab694d76c0\"}, \"height\": 200, \"width\": 200}, {\"data\": {\"name\": \"data-0e144997d27391050ac5fe9c734b3148\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"color\": {\"condition\": {\"test\": {\"field\": \"institution\", \"oneOf\": [\"Sir John Soane's Museum\"]}, \"value\": \"gold\"}, \"value\": \"white\"}, \"tooltip\": {\"field\": \"artefacts\", \"type\": \"quantitative\"}, \"x\": {\"field\": \"artefacts\", \"title\": \"Proportion of National Collection\", \"type\": \"quantitative\"}}, \"height\": 20, \"width\": 200}], \"resolve\": {\"scale\": {\"theta\": \"independent\"}}}], \"resolve\": {\"scale\": {\"theta\": \"shared\"}}, \"spacing\": 40}, {\"hconcat\": [{\"vconcat\": [{\"layer\": [{\"mark\": {\"type\": \"arc\", \"cornerRadius\": 5, \"innerRadius\": 45, \"outerRadius\": 60, \"stroke\": \"#fff\"}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Tate Gallery Group\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"text\", \"radiusOffset\": 58}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"text\": {\"condition\": {\"test\": {\"field\": \"values\", \"gt\": 0}, \"field\": \"values\", \"type\": \"quantitative\"}, \"value\": \"\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Tate Gallery Group\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"gold\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 2.07, \"tooltip\": \"Catalogued Artefacts: 886296\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 2.07, \"tooltip\": \"Total Artefacts: 7360793\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 2.09}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 4.16, \"tooltip\": \"Total Objects: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 6.27, \"tooltip\": \"Total Library Items: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 4.18}}], \"data\": {\"name\": \"data-ebcc4e13eab5a84b46ebe0c2e2f92820\"}, \"height\": 200, \"width\": 200}, {\"data\": {\"name\": \"data-0e144997d27391050ac5fe9c734b3148\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"color\": {\"condition\": {\"test\": {\"field\": \"institution\", \"oneOf\": [\"Tate Gallery Group\"]}, \"value\": \"gold\"}, \"value\": \"white\"}, \"tooltip\": {\"field\": \"artefacts\", \"type\": \"quantitative\"}, \"x\": {\"field\": \"artefacts\", \"title\": \"Proportion of National Collection\", \"type\": \"quantitative\"}}, \"height\": 20, \"width\": 200}], \"resolve\": {\"scale\": {\"theta\": \"independent\"}}}, {\"vconcat\": [{\"layer\": [{\"mark\": {\"type\": \"arc\", \"cornerRadius\": 5, \"innerRadius\": 45, \"outerRadius\": 60, \"stroke\": \"#fff\"}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"The Wallace Collection\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"text\", \"radiusOffset\": 58}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"text\": {\"condition\": {\"test\": {\"field\": \"values\", \"gt\": 0}, \"field\": \"values\", \"type\": \"quantitative\"}, \"value\": \"\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"The Wallace Collection\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 0}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 2.07, \"tooltip\": \"Total Artefacts: 5637\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#fd8d3c\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 2.09}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#fd8d3c\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 4.16, \"tooltip\": \"Total Objects: 5637\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 6.27, \"tooltip\": \"Total Library Items: 0\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"grey\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 4.18}}], \"data\": {\"name\": \"data-ab90c050bba19406d4635de0ddf79cea\"}, \"height\": 200, \"width\": 200}, {\"data\": {\"name\": \"data-0e144997d27391050ac5fe9c734b3148\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"color\": {\"condition\": {\"test\": {\"field\": \"institution\", \"oneOf\": [\"The Wallace Collection\"]}, \"value\": \"gold\"}, \"value\": \"white\"}, \"tooltip\": {\"field\": \"artefacts\", \"type\": \"quantitative\"}, \"x\": {\"field\": \"artefacts\", \"title\": \"Proportion of National Collection\", \"type\": \"quantitative\"}}, \"height\": 20, \"width\": 200}], \"resolve\": {\"scale\": {\"theta\": \"independent\"}}}, {\"vconcat\": [{\"layer\": [{\"mark\": {\"type\": \"arc\", \"cornerRadius\": 5, \"innerRadius\": 45, \"outerRadius\": 60, \"stroke\": \"#fff\"}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Victoria & Albert Museum\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"text\", \"radiusOffset\": 58}, \"encoding\": {\"color\": {\"field\": \"labels\", \"legend\": {\"orient\": \"top\", \"titleOrient\": \"left\"}, \"scale\": {\"scheme\": \"category20c\"}, \"sort\": \"ascending\", \"type\": \"nominal\"}, \"radius\": {\"field\": \"values\", \"scale\": {\"type\": \"sqrt\", \"zero\": true, \"rangeMin\": 20}, \"type\": \"quantitative\"}, \"text\": {\"condition\": {\"test\": {\"field\": \"values\", \"gt\": 0}, \"field\": \"values\", \"type\": \"quantitative\"}, \"value\": \"\"}, \"theta\": {\"field\": \"values\", \"stack\": true, \"type\": \"quantitative\"}, \"tooltip\": {\"field\": \"labels\", \"type\": \"nominal\"}}, \"title\": {\"text\": \"Victoria & Albert Museum\", \"anchor\": \"middle\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 0}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#9ecae1\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 0, \"theta2\": 2.07, \"tooltip\": \"Total Artefacts: 2800000\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#fd8d3c\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 2.09}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#fd8d3c\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 2.09, \"theta2\": 4.16, \"tooltip\": \"Total Objects: 1691513\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#c6dbef\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 6.27, \"tooltip\": \"Total Library Items: 1130157\"}}, {\"mark\": {\"type\": \"arc\", \"color\": \"#c6dbef\", \"innerRadius\": 90, \"outerRadius\": 100, \"theta\": 4.18, \"theta2\": 4.18}}], \"data\": {\"name\": \"data-08af00c7671eeea5946dcaa397ccbf13\"}, \"height\": 200, \"width\": 200}, {\"data\": {\"name\": \"data-0e144997d27391050ac5fe9c734b3148\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"color\": {\"condition\": {\"test\": {\"field\": \"institution\", \"oneOf\": [\"Victoria & Albert Museum\"]}, \"value\": \"gold\"}, \"value\": \"white\"}, \"tooltip\": {\"field\": \"artefacts\", \"type\": \"quantitative\"}, \"x\": {\"field\": \"artefacts\", \"title\": \"Proportion of National Collection\", \"type\": \"quantitative\"}}, \"height\": 20, \"width\": 200}], \"resolve\": {\"scale\": {\"theta\": \"independent\"}}}], \"resolve\": {\"scale\": {\"theta\": \"shared\"}}, \"spacing\": 40}], \"$schema\": \"https://vega.github.io/schema/vega-lite/v5.17.0.json\", \"datasets\": {\"data-431dbe4c8e24e7fe904e92607a9e4416\": [{\"institution\": \"British Museum\", \"values\": 8000000, \"calculated\": 2000000, \"labels\": \"Artefacts\", \"labels_calculated\": \"Artefacts Catalogued\"}, {\"institution\": \"British Museum\", \"values\": 8000000, \"calculated\": 8000000, \"labels\": \"Museum Objects\", \"labels_calculated\": \"Artefacts\"}, {\"institution\": \"British Museum\", \"values\": 0, \"calculated\": 2000000, \"labels\": \"Library Items\", \"labels_calculated\": \"Objects Catalogued\"}, {\"institution\": \"British Museum\", \"values\": 0, \"calculated\": 8000000, \"labels\": \"Archive Items/Collections\", \"labels_calculated\": \"Objects\"}, {\"institution\": \"British Museum\", \"values\": 2000000, \"calculated\": 0, \"labels\": \"Museum Records\", \"labels_calculated\": \"Library Items Catalogued\"}, {\"institution\": \"British Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Records\", \"labels_calculated\": \"Library Items\"}, {\"institution\": \"British Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Records\", \"labels_calculated\": \"Archive Items\"}], \"data-0e144997d27391050ac5fe9c734b3148\": [{\"institution\": \"Victoria & Albert Museum\", \"sector\": \"dcms\", \"artefacts\": 2800000, \"objects\": 1691513, \"library_items\": 1130157, \"archive_items\": 0, \"object_records\": 0, \"library_records\": 0, \"archive_records\": 0}, {\"institution\": \"Science Museum Group\", \"sector\": \"dcms\", \"artefacts\": 7360793, \"objects\": 0, \"library_items\": 0, \"archive_items\": 0, \"object_records\": 0, \"library_records\": 0, \"archive_records\": 0}, {\"institution\": \"Museum of the Home\", \"sector\": \"dcms\", \"artefacts\": 40000, \"objects\": 0, \"library_items\": 0, \"archive_items\": 0, \"object_records\": 0, \"library_records\": 0, \"archive_records\": 0}, {\"institution\": \"Horniman Museum\", \"sector\": \"dcms\", \"artefacts\": 350000, \"objects\": 0, \"library_items\": 0, \"archive_items\": 0, \"object_records\": 132612, \"library_records\": 0, \"archive_records\": 0}, {\"institution\": \"Imperial War Museums\", \"sector\": \"dcms\", \"artefacts\": 1000000, \"objects\": 0, \"library_items\": 0, \"archive_items\": 0, \"object_records\": 1737698, \"library_records\": 0, \"archive_records\": 0}, {\"institution\": \"National Gallery\", \"sector\": \"dcms\", \"artefacts\": 2626, \"objects\": 2626, \"library_items\": 0, \"archive_items\": 0, \"object_records\": 2626, \"library_records\": 0, \"archive_records\": 0}, {\"institution\": \"National Museums Liverpool\", \"sector\": \"dcms\", \"artefacts\": 4000000, \"objects\": 0, \"library_items\": 0, \"archive_items\": 0, \"object_records\": 73682, \"library_records\": 0, \"archive_records\": 0}, {\"institution\": \"National Portrait Gallery\", \"sector\": \"dcms\", \"artefacts\": 350000, \"objects\": 0, \"library_items\": 0, \"archive_items\": 0, \"object_records\": 220000, \"library_records\": 0, \"archive_records\": 0}, {\"institution\": \"Natural History Museum\", \"sector\": \"dcms\", \"artefacts\": 80000000, \"objects\": 0, \"library_items\": 0, \"archive_items\": 0, \"object_records\": 0, \"library_records\": 0, \"archive_records\": 0}, {\"institution\": \"Royal Armouries\", \"sector\": \"dcms\", \"artefacts\": 70000, \"objects\": 0, \"library_items\": 0, \"archive_items\": 0, \"object_records\": 65627, \"library_records\": 69619, \"archive_records\": 130130}, {\"institution\": \"Royal Museums Greenwich\", \"sector\": \"dcms\", \"artefacts\": 3000000, \"objects\": 0, \"library_items\": 0, \"archive_items\": 0, \"object_records\": 0, \"library_records\": 0, \"archive_records\": 0}, {\"institution\": \"Sir John Soane's Museum\", \"sector\": \"dcms\", \"artefacts\": 52000, \"objects\": 0, \"library_items\": 0, \"archive_items\": 0, \"object_records\": 57164, \"library_records\": 6393, \"archive_records\": 0}, {\"institution\": \"Tate Gallery Group\", \"sector\": \"dcms\", \"artefacts\": 70000, \"objects\": 0, \"library_items\": 0, \"archive_items\": 0, \"object_records\": 79236, \"library_records\": 0, \"archive_records\": 807060}, {\"institution\": \"The Wallace Collection\", \"sector\": \"dcms\", \"artefacts\": 5637, \"objects\": 5637, \"library_items\": 0, \"archive_items\": 0, \"object_records\": 0, \"library_records\": 0, \"archive_records\": 0}, {\"institution\": \"British Museum\", \"sector\": \"dcms\", \"artefacts\": 8000000, \"objects\": 8000000, \"library_items\": 0, \"archive_items\": 0, \"object_records\": 2000000, \"library_records\": 0, \"archive_records\": 0}], \"data-dd88595532b7826331d261e7cad31628\": [{\"institution\": \"Horniman Museum\", \"values\": 350000, \"calculated\": 132612, \"labels\": \"Artefacts\", \"labels_calculated\": \"Artefacts Catalogued\"}, {\"institution\": \"Horniman Museum\", \"values\": 0, \"calculated\": 350000, \"labels\": \"Museum Objects\", \"labels_calculated\": \"Artefacts\"}, {\"institution\": \"Horniman Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Items\", \"labels_calculated\": \"Objects Catalogued\"}, {\"institution\": \"Horniman Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Items/Collections\", \"labels_calculated\": \"Objects\"}, {\"institution\": \"Horniman Museum\", \"values\": 132612, \"calculated\": 0, \"labels\": \"Museum Records\", \"labels_calculated\": \"Library Items Catalogued\"}, {\"institution\": \"Horniman Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Records\", \"labels_calculated\": \"Library Items\"}, {\"institution\": \"Horniman Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Records\", \"labels_calculated\": \"Archive Items\"}], \"data-ebc8889e0cddbc3b95b9d5ae92c98fe2\": [{\"institution\": \"Imperial War Museums\", \"values\": 1000000, \"calculated\": 1000000, \"labels\": \"Artefacts\", \"labels_calculated\": \"Artefacts Catalogued\"}, {\"institution\": \"Imperial War Museums\", \"values\": 0, \"calculated\": 1000000, \"labels\": \"Museum Objects\", \"labels_calculated\": \"Artefacts\"}, {\"institution\": \"Imperial War Museums\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Items\", \"labels_calculated\": \"Objects Catalogued\"}, {\"institution\": \"Imperial War Museums\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Items/Collections\", \"labels_calculated\": \"Objects\"}, {\"institution\": \"Imperial War Museums\", \"values\": 1737698, \"calculated\": 0, \"labels\": \"Museum Records\", \"labels_calculated\": \"Library Items Catalogued\"}, {\"institution\": \"Imperial War Museums\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Records\", \"labels_calculated\": \"Library Items\"}, {\"institution\": \"Imperial War Museums\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Records\", \"labels_calculated\": \"Archive Items\"}], \"data-4aa725c5ec5d9ddd07569e0804adf706\": [{\"institution\": \"Museum of the Home\", \"values\": 40000, \"calculated\": 0, \"labels\": \"Artefacts\", \"labels_calculated\": \"Artefacts Catalogued\"}, {\"institution\": \"Museum of the Home\", \"values\": 0, \"calculated\": 40000, \"labels\": \"Museum Objects\", \"labels_calculated\": \"Artefacts\"}, {\"institution\": \"Museum of the Home\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Items\", \"labels_calculated\": \"Objects Catalogued\"}, {\"institution\": \"Museum of the Home\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Items/Collections\", \"labels_calculated\": \"Objects\"}, {\"institution\": \"Museum of the Home\", \"values\": 0, \"calculated\": 0, \"labels\": \"Museum Records\", \"labels_calculated\": \"Library Items Catalogued\"}, {\"institution\": \"Museum of the Home\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Records\", \"labels_calculated\": \"Library Items\"}, {\"institution\": \"Museum of the Home\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Records\", \"labels_calculated\": \"Archive Items\"}], \"data-9d42ef6b123775e1a6a41c6e9812ea82\": [{\"institution\": \"National Gallery\", \"values\": 2626, \"calculated\": 2626, \"labels\": \"Artefacts\", \"labels_calculated\": \"Artefacts Catalogued\"}, {\"institution\": \"National Gallery\", \"values\": 2626, \"calculated\": 2626, \"labels\": \"Museum Objects\", \"labels_calculated\": \"Artefacts\"}, {\"institution\": \"National Gallery\", \"values\": 0, \"calculated\": 2626, \"labels\": \"Library Items\", \"labels_calculated\": \"Objects Catalogued\"}, {\"institution\": \"National Gallery\", \"values\": 0, \"calculated\": 2626, \"labels\": \"Archive Items/Collections\", \"labels_calculated\": \"Objects\"}, {\"institution\": \"National Gallery\", \"values\": 2626, \"calculated\": 0, \"labels\": \"Museum Records\", \"labels_calculated\": \"Library Items Catalogued\"}, {\"institution\": \"National Gallery\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Records\", \"labels_calculated\": \"Library Items\"}, {\"institution\": \"National Gallery\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Records\", \"labels_calculated\": \"Archive Items\"}], \"data-4e1558b0e3f80878f7ebabc7d8605273\": [{\"institution\": \"National Museums Liverpool\", \"values\": 4000000, \"calculated\": 73682, \"labels\": \"Artefacts\", \"labels_calculated\": \"Artefacts Catalogued\"}, {\"institution\": \"National Museums Liverpool\", \"values\": 0, \"calculated\": 4000000, \"labels\": \"Museum Objects\", \"labels_calculated\": \"Artefacts\"}, {\"institution\": \"National Museums Liverpool\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Items\", \"labels_calculated\": \"Objects Catalogued\"}, {\"institution\": \"National Museums Liverpool\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Items/Collections\", \"labels_calculated\": \"Objects\"}, {\"institution\": \"National Museums Liverpool\", \"values\": 73682, \"calculated\": 0, \"labels\": \"Museum Records\", \"labels_calculated\": \"Library Items Catalogued\"}, {\"institution\": \"National Museums Liverpool\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Records\", \"labels_calculated\": \"Library Items\"}, {\"institution\": \"National Museums Liverpool\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Records\", \"labels_calculated\": \"Archive Items\"}], \"data-2a676d1089ad310f95a497177ec4b8cf\": [{\"institution\": \"National Portrait Gallery\", \"values\": 350000, \"calculated\": 220000, \"labels\": \"Artefacts\", \"labels_calculated\": \"Artefacts Catalogued\"}, {\"institution\": \"National Portrait Gallery\", \"values\": 0, \"calculated\": 350000, \"labels\": \"Museum Objects\", \"labels_calculated\": \"Artefacts\"}, {\"institution\": \"National Portrait Gallery\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Items\", \"labels_calculated\": \"Objects Catalogued\"}, {\"institution\": \"National Portrait Gallery\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Items/Collections\", \"labels_calculated\": \"Objects\"}, {\"institution\": \"National Portrait Gallery\", \"values\": 220000, \"calculated\": 0, \"labels\": \"Museum Records\", \"labels_calculated\": \"Library Items Catalogued\"}, {\"institution\": \"National Portrait Gallery\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Records\", \"labels_calculated\": \"Library Items\"}, {\"institution\": \"National Portrait Gallery\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Records\", \"labels_calculated\": \"Archive Items\"}], \"data-f9d5ec7cc89fa38a4c5d5878a2d1221b\": [{\"institution\": \"Natural History Museum\", \"values\": 80000000, \"calculated\": 0, \"labels\": \"Artefacts\", \"labels_calculated\": \"Artefacts Catalogued\"}, {\"institution\": \"Natural History Museum\", \"values\": 0, \"calculated\": 80000000, \"labels\": \"Museum Objects\", \"labels_calculated\": \"Artefacts\"}, {\"institution\": \"Natural History Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Items\", \"labels_calculated\": \"Objects Catalogued\"}, {\"institution\": \"Natural History Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Items/Collections\", \"labels_calculated\": \"Objects\"}, {\"institution\": \"Natural History Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Museum Records\", \"labels_calculated\": \"Library Items Catalogued\"}, {\"institution\": \"Natural History Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Records\", \"labels_calculated\": \"Library Items\"}, {\"institution\": \"Natural History Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Records\", \"labels_calculated\": \"Archive Items\"}], \"data-b8e0c9677684757d0fbd64b6fd59b4de\": [{\"institution\": \"Royal Armouries\", \"values\": 70000, \"calculated\": 70000, \"labels\": \"Artefacts\", \"labels_calculated\": \"Artefacts Catalogued\"}, {\"institution\": \"Royal Armouries\", \"values\": 0, \"calculated\": 70000, \"labels\": \"Museum Objects\", \"labels_calculated\": \"Artefacts\"}, {\"institution\": \"Royal Armouries\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Items\", \"labels_calculated\": \"Objects Catalogued\"}, {\"institution\": \"Royal Armouries\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Items/Collections\", \"labels_calculated\": \"Objects\"}, {\"institution\": \"Royal Armouries\", \"values\": 65627, \"calculated\": 0, \"labels\": \"Museum Records\", \"labels_calculated\": \"Library Items Catalogued\"}, {\"institution\": \"Royal Armouries\", \"values\": 69619, \"calculated\": 0, \"labels\": \"Library Records\", \"labels_calculated\": \"Library Items\"}, {\"institution\": \"Royal Armouries\", \"values\": 130130, \"calculated\": 0, \"labels\": \"Archive Records\", \"labels_calculated\": \"Archive Items\"}], \"data-e62f9aeab54e1d32849700c119fba787\": [{\"institution\": \"Royal Museums Greenwich\", \"values\": 3000000, \"calculated\": 0, \"labels\": \"Artefacts\", \"labels_calculated\": \"Artefacts Catalogued\"}, {\"institution\": \"Royal Museums Greenwich\", \"values\": 0, \"calculated\": 3000000, \"labels\": \"Museum Objects\", \"labels_calculated\": \"Artefacts\"}, {\"institution\": \"Royal Museums Greenwich\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Items\", \"labels_calculated\": \"Objects Catalogued\"}, {\"institution\": \"Royal Museums Greenwich\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Items/Collections\", \"labels_calculated\": \"Objects\"}, {\"institution\": \"Royal Museums Greenwich\", \"values\": 0, \"calculated\": 0, \"labels\": \"Museum Records\", \"labels_calculated\": \"Library Items Catalogued\"}, {\"institution\": \"Royal Museums Greenwich\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Records\", \"labels_calculated\": \"Library Items\"}, {\"institution\": \"Royal Museums Greenwich\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Records\", \"labels_calculated\": \"Archive Items\"}], \"data-9a30f9b11e2e857ea9abd224ae6ece5c\": [{\"institution\": \"Science Museum Group\", \"values\": 7360793, \"calculated\": 0, \"labels\": \"Artefacts\", \"labels_calculated\": \"Artefacts Catalogued\"}, {\"institution\": \"Science Museum Group\", \"values\": 0, \"calculated\": 7360793, \"labels\": \"Museum Objects\", \"labels_calculated\": \"Artefacts\"}, {\"institution\": \"Science Museum Group\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Items\", \"labels_calculated\": \"Objects Catalogued\"}, {\"institution\": \"Science Museum Group\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Items/Collections\", \"labels_calculated\": \"Objects\"}, {\"institution\": \"Science Museum Group\", \"values\": 0, \"calculated\": 0, \"labels\": \"Museum Records\", \"labels_calculated\": \"Library Items Catalogued\"}, {\"institution\": \"Science Museum Group\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Records\", \"labels_calculated\": \"Library Items\"}, {\"institution\": \"Science Museum Group\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Records\", \"labels_calculated\": \"Archive Items\"}], \"data-117a27d0df38be605bca86ab694d76c0\": [{\"institution\": \"Sir John Soane's Museum\", \"values\": 52000, \"calculated\": 52000, \"labels\": \"Artefacts\", \"labels_calculated\": \"Artefacts Catalogued\"}, {\"institution\": \"Sir John Soane's Museum\", \"values\": 0, \"calculated\": 52000, \"labels\": \"Museum Objects\", \"labels_calculated\": \"Artefacts\"}, {\"institution\": \"Sir John Soane's Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Items\", \"labels_calculated\": \"Objects Catalogued\"}, {\"institution\": \"Sir John Soane's Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Items/Collections\", \"labels_calculated\": \"Objects\"}, {\"institution\": \"Sir John Soane's Museum\", \"values\": 57164, \"calculated\": 0, \"labels\": \"Museum Records\", \"labels_calculated\": \"Library Items Catalogued\"}, {\"institution\": \"Sir John Soane's Museum\", \"values\": 6393, \"calculated\": 0, \"labels\": \"Library Records\", \"labels_calculated\": \"Library Items\"}, {\"institution\": \"Sir John Soane's Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Records\", \"labels_calculated\": \"Archive Items\"}], \"data-ebcc4e13eab5a84b46ebe0c2e2f92820\": [{\"institution\": \"Tate Gallery Group\", \"values\": 70000, \"calculated\": 70000, \"labels\": \"Artefacts\", \"labels_calculated\": \"Artefacts Catalogued\"}, {\"institution\": \"Tate Gallery Group\", \"values\": 0, \"calculated\": 70000, \"labels\": \"Museum Objects\", \"labels_calculated\": \"Artefacts\"}, {\"institution\": \"Tate Gallery Group\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Items\", \"labels_calculated\": \"Objects Catalogued\"}, {\"institution\": \"Tate Gallery Group\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Items/Collections\", \"labels_calculated\": \"Objects\"}, {\"institution\": \"Tate Gallery Group\", \"values\": 79236, \"calculated\": 0, \"labels\": \"Museum Records\", \"labels_calculated\": \"Library Items Catalogued\"}, {\"institution\": \"Tate Gallery Group\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Records\", \"labels_calculated\": \"Library Items\"}, {\"institution\": \"Tate Gallery Group\", \"values\": 807060, \"calculated\": 0, \"labels\": \"Archive Records\", \"labels_calculated\": \"Archive Items\"}], \"data-ab90c050bba19406d4635de0ddf79cea\": [{\"institution\": \"The Wallace Collection\", \"values\": 5637, \"calculated\": 0, \"labels\": \"Artefacts\", \"labels_calculated\": \"Artefacts Catalogued\"}, {\"institution\": \"The Wallace Collection\", \"values\": 5637, \"calculated\": 5637, \"labels\": \"Museum Objects\", \"labels_calculated\": \"Artefacts\"}, {\"institution\": \"The Wallace Collection\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Items\", \"labels_calculated\": \"Objects Catalogued\"}, {\"institution\": \"The Wallace Collection\", \"values\": 0, \"calculated\": 5637, \"labels\": \"Archive Items/Collections\", \"labels_calculated\": \"Objects\"}, {\"institution\": \"The Wallace Collection\", \"values\": 0, \"calculated\": 0, \"labels\": \"Museum Records\", \"labels_calculated\": \"Library Items Catalogued\"}, {\"institution\": \"The Wallace Collection\", \"values\": 0, \"calculated\": 0, \"labels\": \"Library Records\", \"labels_calculated\": \"Library Items\"}, {\"institution\": \"The Wallace Collection\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Records\", \"labels_calculated\": \"Archive Items\"}], \"data-08af00c7671eeea5946dcaa397ccbf13\": [{\"institution\": \"Victoria & Albert Museum\", \"values\": 2800000, \"calculated\": 0, \"labels\": \"Artefacts\", \"labels_calculated\": \"Artefacts Catalogued\"}, {\"institution\": \"Victoria & Albert Museum\", \"values\": 1691513, \"calculated\": 2800000, \"labels\": \"Museum Objects\", \"labels_calculated\": \"Artefacts\"}, {\"institution\": \"Victoria & Albert Museum\", \"values\": 1130157, \"calculated\": 0, \"labels\": \"Library Items\", \"labels_calculated\": \"Objects Catalogued\"}, {\"institution\": \"Victoria & Albert Museum\", \"values\": 0, \"calculated\": 1691513, \"labels\": \"Archive Items/Collections\", \"labels_calculated\": \"Objects\"}, {\"institution\": \"Victoria & Albert Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Museum Records\", \"labels_calculated\": \"Library Items Catalogued\"}, {\"institution\": \"Victoria & Albert Museum\", \"values\": 0, \"calculated\": 1130157, \"labels\": \"Library Records\", \"labels_calculated\": \"Library Items\"}, {\"institution\": \"Victoria & Albert Museum\", \"values\": 0, \"calculated\": 0, \"labels\": \"Archive Records\", \"labels_calculated\": \"Archive Items\"}]}}, {\"mode\": \"vega-lite\"});\n",
       "</script>"
      ],
      "text/plain": [
       "alt.VConcatChart(...)"
      ]
     },
     "execution_count": 14,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "row_count = 0\n",
    "row_graphs = []\n",
    "grid_graphs = []\n",
    "\n",
    "for i, institution in dcms_institutions_df.sort_values(by=[\"institution\"]).iterrows():\n",
    "    institution_name = institution[\"institution\"]\n",
    "    title = alt.TitleParams(institution_name, anchor='middle')\n",
    "    row_df = pd.DataFrame(\n",
    "       {\"institution\": institution_name,\n",
    "        \"values\": [\n",
    "             institution[\"artefacts\"],\n",
    "            institution[\"objects\"], institution[\"library_items\"], institution[\"archive_items\"],\n",
    "            institution[\"object_records\"], institution[\"library_records\"], institution[\"archive_records\"]],\n",
    "       \"calculated\": [\n",
    "            min(institution[\"object_records\"] + institution[\"library_records\"] + institution[\"archive_records\"], institution[\"artefacts\"]),\n",
    "            institution[\"artefacts\"],\n",
    "            min(institution[\"object_records\"], institution[\"objects\"]), institution[\"objects\"],\n",
    "            min(institution[\"library_records\"], institution[\"library_items\"]), institution[\"library_items\"],\n",
    "         institution[\"archive_items\"] ],\n",
    "            \"labels\": [\"Artefacts\", \n",
    "                                  \"Museum Objects\", \n",
    "                                  \"Library Items\",\n",
    "                                  \"Archive Items/Collections\", \n",
    "                                  \"Museum Records\", \n",
    "                                  \"Library Records\", \"Archive Records\"],\n",
    "            \"labels_calculated\": [ \"Artefacts Catalogued\", \"Artefacts\", \"Objects Catalogued\", \"Objects\",\n",
    "                                  \"Library Items Catalogued\", \"Library Items\",\n",
    "                                   \"Archive Items\"]\n",
    "            })\n",
    "\n",
    "    # Ring gives summary of cataloguing progress\n",
    "    #ring = alt.Chart(row_df).mark_arc(innerRadius=90, outerRadius=100).encode(\n",
    "    #  color=\"labels_calculated:N\",\n",
    "    #  theta=\"calculated\",\n",
    "    #)\n",
    "\n",
    "    if institution[\"artefacts\"] > 0:\n",
    "     catalogued_records =  institution[\"object_records\"] + institution[\"library_records\"] + institution[\"archive_records\"]\n",
    "     if catalogued_records > 0:\n",
    "         catalogued_proportion = min(catalogued_records / institution[\"artefacts\"], 1) * 2.09\n",
    "         ring1_complete = alt.Chart().mark_arc(\n",
    "             tooltip=f'Catalogued Artefacts: {catalogued_records}',\n",
    "             innerRadius=90, outerRadius=100,theta=0,color=\"gold\", \n",
    "                                theta2=catalogued_proportion - 0.02)\n",
    "         if catalogued_proportion < 2.09:\n",
    "           ring1_remaining = alt.Chart().mark_arc(innerRadius=90, outerRadius=100,theta=catalogued_proportion,color=\"#9ecae1\", \n",
    "                                                  theta2=2.07,\n",
    "                                                  tooltip=f'Total Artefacts: {institution[\"artefacts\"]}')\n",
    "     else:\n",
    "        ring1_complete = alt.Chart().mark_arc(innerRadius=90, outerRadius=100,theta=0,color=\"#9ecae1\", theta2=0)\n",
    "        ring1_remaining = alt.Chart().mark_arc(innerRadius=90, outerRadius=100,theta=0,theta2=2.07,color=\"#9ecae1\",\n",
    "                                               tooltip=f'Total Artefacts: {institution[\"artefacts\"]}')\n",
    "    else:\n",
    "      ring1_complete = alt.Chart().mark_arc(innerRadius=90, outerRadius=100,theta=0,color=\"grey\", theta2=0)\n",
    "      ring1_remaining = alt.Chart().mark_arc(innerRadius=90, outerRadius=100,theta=0,theta2=2.07,color=\"grey\",\n",
    "                                             tooltip=f'Total Artefacts: {institution[\"artefacts\"]}')\n",
    "\n",
    "\n",
    "    if institution[\"objects\"] > 0:\n",
    "     catalogued_records =  institution[\"object_records\"] \n",
    "     if catalogued_records > 0:\n",
    "         catalogued_proportion = min(catalogued_records / institution[\"objects\"], 1) * 2.09\n",
    "         ring2_complete = alt.Chart().mark_arc(innerRadius=90, outerRadius=100,theta=2.09,color=\"gold\",\n",
    "                                               theta2=2.09 + catalogued_proportion - 0.02, \n",
    "                                                            tooltip=f'Catalogued Objects: {catalogued_records}')\n",
    "         if catalogued_proportion < 2.09:\n",
    "           ring2_remaining = alt.Chart().mark_arc(innerRadius=90, outerRadius=100,theta=2.09+ catalogued_proportion,color=\"#fd8d3c\", \n",
    "                                                  theta2=4.16, tooltip=f'Total Objects: {institution[\"objects\"]}')\n",
    "     else:\n",
    "        ring2_complete = alt.Chart().mark_arc(innerRadius=90, outerRadius=100,theta=2.09,color=\"#fd8d3c\", theta2=2.09)\n",
    "        ring2_remaining = alt.Chart().mark_arc(innerRadius=90, outerRadius=100,theta=2.09,theta2=4.16,color=\"#fd8d3c\",\n",
    "                                               tooltip=f'Total Objects: {institution[\"objects\"]}')\n",
    "    else:\n",
    "      ring2_complete = alt.Chart().mark_arc(innerRadius=90, outerRadius=100,theta=2.09,color=\"grey\", theta2=2.09)\n",
    "      ring2_remaining = alt.Chart().mark_arc(innerRadius=90, outerRadius=100,theta=2.09,theta2=4.16,color=\"grey\", \n",
    "                                             tooltip=f'Total Objects: {institution[\"objects\"]}')  \n",
    "        \n",
    "#    ring2 = alt.Chart().mark_arc(innerRadius=90, outerRadius=100,theta=2.09,theta2=4.16,color=\"gray\")\n",
    "\n",
    "    if institution[\"library_items\"] > 0:\n",
    "     catalogued_records = institution[\"library_records\"] \n",
    "     if catalogued_records > 0:\n",
    "         catalogued_proportion = min(catalogued_records / institution[\"library_items\"], 1) * 2.09\n",
    "         ring3_complete = alt.Chart().mark_arc(innerRadius=90, outerRadius=100,\n",
    "                                               theta=4.18,color=\"gold\", \n",
    "                                               tooltip=f'Catalogued Library Items: {catalogued_records}',\n",
    "                                               theta2=4.18 + catalogued_proportion - 0.02)\n",
    "         if catalogued_proportion < 2.09:\n",
    "           ring3_remaining = alt.Chart().mark_arc(innerRadius=90, outerRadius=100,theta=4.18+catalogued_proportion,color=\"#c6dbef\", \n",
    "                                                  theta2=6.27, tooltip=f'Total Library Items: {institution[\"library_items\"]}')\n",
    "     else:\n",
    "        ring3_complete = alt.Chart().mark_arc(innerRadius=90, outerRadius=100,theta=4.18,color=\"#c6dbef\", theta2=4.18)\n",
    "        ring3_remaining = alt.Chart().mark_arc(innerRadius=90, outerRadius=100,theta=4.18,theta2=6.27,\n",
    "                                               color=\"#c6dbef\", tooltip=f'Total Library Items: {institution[\"library_items\"]}')\n",
    "    else:\n",
    "      ring3_complete = alt.Chart().mark_arc(innerRadius=90, outerRadius=100,theta=4.18,color=\"grey\", theta2=4.18)\n",
    "      ring3_remaining = alt.Chart().mark_arc(innerRadius=90, outerRadius=100,theta=4.18,theta2=6.27,color=\"grey\",\n",
    "                                             tooltip=f'Total Library Items: {institution[\"library_items\"]}') \n",
    "        \n",
    "#    ring3 = alt.Chart().mark_arc(innerRadius=90, outerRadius=100,theta=4.18,theta2=6.27,color=\"orange\")\n",
    "\n",
    "    # Petal graph ? gives summary of size of instution collections\n",
    "    base1 = alt.Chart(row_df, width=160, title=title).encode(\n",
    "      alt.Theta(\"values:Q\").stack(True),\n",
    "      alt.Radius(\"values\").scale(type=\"sqrt\", zero=True, rangeMin=20),\n",
    "      tooltip='labels:N',\n",
    "      color=alt.Color(\"labels:N\", sort=\"ascending\").legend(orient=\"top\", titleOrient=\"left\").scale(scheme=\"category20c\"),\n",
    "    ).properties(\n",
    "      width=200,\n",
    "      height=200\n",
    "    )\n",
    "\n",
    "#    text_complete = alt.Chart().mark_text().encode(\n",
    "#        text=f\"{institution['artefacts']}:Q\")\n",
    "#        text=alt.Text(institution[\"artefacts\"]), color=\"gold\").properties(width=100)\n",
    "    \n",
    "    petal_marks = base1.mark_arc(innerRadius=45, outerRadius=60, cornerRadius=5, \n",
    "                                 stroke=\"#fff\")\n",
    "    \n",
    "#    petal_text = base1.mark_text(radiusOffset=58).encode(text=\"values:Q\")\n",
    "#    alt.FieldGTPredicate(\"values\", 0), alt.Text('values:Q'), alt.value(''))\n",
    "\n",
    "    petal_text = base1.mark_text(radiusOffset=58).encode(\n",
    "        text=alt.condition(alt.FieldGTPredicate(\"values\", 0), alt.Text('values:Q'), alt.value('')))\n",
    "\n",
    "    # Bar at bottom indicates proportion of national collection this institution has\n",
    "    bar = alt.Chart(dcms_institutions_df, height=20, width=200).mark_bar().encode(\n",
    "      alt.X(\"artefacts\").title(\"Proportion of National Collection\"),\n",
    "      tooltip='artefacts',\n",
    "      color=alt.condition(\n",
    "        alt.FieldOneOfPredicate('institution', [institution_name]),\n",
    "        alt.value('gold'),     \n",
    "        alt.value('white')     \n",
    "      )\n",
    "    )\n",
    "    \n",
    "    institution_graph = alt.vconcat((petal_marks + petal_text + ring1_complete + \n",
    "                                     ring1_remaining + ring2_complete + ring2_remaining +\n",
    "                                     ring3_remaining + ring3_complete), bar).resolve_scale(theta='independent')\n",
    "    if row_count < 3:\n",
    "        row_graphs.append(institution_graph)\n",
    "        row_count += 1\n",
    "    else:   \n",
    "        row_graphs.append(institution_graph)\n",
    "        grid_graphs.append(\n",
    "            alt.hconcat(*row_graphs, spacing=40).resolve_scale(theta='shared'))\n",
    "        row_count = 0\n",
    "        row_graphs = []\n",
    "\n",
    "if row_count > 0:\n",
    "    grid_graphs.append(\n",
    "            alt.hconcat(*row_graphs, spacing=40).resolve_scale(theta='shared'))\n",
    "\n",
    "alt.vconcat(*grid_graphs).configure(numberFormat='.2s')\n",
    "#alt.hconcat(*row_graphs, spacing=40).configure(numberFormat='.2s').resolve_scale(theta='shared')"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "id": "488bd315-b12b-4503-b226-a864ba934206",
   "metadata": {
    "editable": true,
    "slideshow": {
     "slide_type": ""
    },
    "tags": []
   },
   "outputs": [],
   "source": []
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "Python 3 (ipykernel)",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.9.18"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 5
}
